import React from 'react';

type props = {
  changePage: (arg0: boolean) => void;
  direction: string;
}

const NavButton = (props: props) => {

  const onClick = () => {
    const increment: boolean = props.direction == "right";
    props.changePage(increment);
  }

  return (
    <button onClick={onClick}>{props.direction}</button>
  )
};

export default NavButton;